﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace WpfKitchen
{
	public class TreeNodeXTemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			FrameworkElement	element		= container as FrameworkElement;
			TreeNode			node		= item as TreeNode;

			if (element != null && node != null)
			{
				if (node.IsExclusive)
					return element.FindResource("radioButtonTemplate") as HierarchicalDataTemplate;

				return element.FindResource("checkBoxTemplate") as HierarchicalDataTemplate;
			}
			return null;
		}


	}

}
